Bug 173286 - Xaw3d.spec requires crack removal
Summary: Xaw3d.spec requires crack removal
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Xaw3d   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC5Blocker
TreeView+ depends on / blocked
 
Reported: 2005-11-15 22:33 UTC by Warren Togami
Modified: 2009-03-11 09:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-16 19:23:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2005-11-15 22:33:45 UTC
Xaw3d.spec requires removal of references to X11R6 as all libraries install into
plain %{_libdir} with modular X.  I am not quite sure what to do about the mess
of include dirs, symlinks and scriptlets.  How did the package become this way?
 Can the package be made to get rid of the scriptlets and just package the
include dirs in a regular way?

mharris says that we should remove Xaw3d from Core because it is poorly
maintained and full of security holes.  I have no opinion here as I personally
know nothing about this library.

Comment 1 Mike A. Harris 2005-11-16 14:25:45 UTC
yeah, it really belongs in Fedora Extras, or just gone.  I don't think
it is maintained anymore, and it does not track bug fixes and security
fixes that have been done to the official libXaw over the last number
of years.

It is a liability IMHO.  And the "but it makes emacs prettier" argument
doesn't win, as there is a gtk version of emacs.  Also, security trumps
"pretty" IMHO.  We have 3 versions of Xaw in the OS right now, which is
fairly silly IMHO.

Comment 2 Ngo Than 2005-11-16 19:23:31 UTC
yes, it's true that Xaw3d is not maintained, if there're no applications which
requires libXaw3d, we could move it into extra.

in any case it's now fixed for modular X


Note You need to log in before you can comment on or make changes to this bug.